Subject: RE: undefined instruction problem

From: "Naik, Uday" <[email-masked]>
Date: Thu, 4 May 2000 11:03:10 -0700

Never mind. I found my bug. It works. 

Now I need to get this same platform going in big-endian. 
I have the tool chain built for me by david meng. I am going
to start looking into the kernel code for potential points of
failure. But any advise would be appreciated.

Thanks

Uday

---

All opinions expressed are mine and do not reflect those of my employer.

-----Original Message-----
From: Naik, Uday 
Sent: Thursday, May 04, 2000 10:36 AM
To: 'Russell King - ARM Linux Admin'; Naik, Uday
Cc: [email-masked]
Subject: RE: undefined instruction problem

Thank you, thank you, thank you and once again thank you.

Next problem. I now get through the login prompt fine and 
can login as root and get the shell prompt. But when I type
in anything, I get "ttyS: unknown flag 36". Looks like its 
coming from n_tty_receive_buf() in n_tty.c. I will look into my 
serial driver. But any hints would be appreciated.

Thanks

Uday

---

All opinions expressed are mine and do not reflect those of my employer.

-----Original Message-----
From: Russell King - ARM Linux Admin [mailto:[email-masked]]
Sent: Thursday, May 04, 2000 12:53 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: undefined instruction problem

Naik, Uday writes:
> After putting some printk's in the traps.c code, and printing out the
> vm_area_struct's, it looks like the addresses where the undefined 
> instructions are happening are in ld-2.1.2.so and libc-2.1.2.so. 
> 
> I looked at the ramdisk (ramdisk_img.gz from nico's site). The ld-2.1.2.so
> and libc-2.1.2.so seem much smaller than the one's in my tools chain.
> Have they been specially built for a small footprint ??

Did you compile in support for nwfpe?

> Also what is the format of the page table directory. If I print out memory

> at current->mm->pgd_t what is the format of the entries I should expect to
> see.

Check the ARM architecture reference manual and the manual for your
processor.
Those are the page tables.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |            http://www.arm.linux.org.uk/            /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

unsubscribe: body of `unsubscribe linux-arm-kernel' to
[email-masked]

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]

---

From: Erik Mouw <[email-masked]>
Date: Mon May 08 16:29:23 +0200 (MDT) 2000

> failure. But any advise would be appreciated.

Well, first try to get ArmLinux running on your system (it's an IXP1200,
right?) at all. Get familiar with linux, port some drivers, build some
drivers, just to see if it works as you expect it to do. Now use a
profiler and _test_ if you really _really_ *really*  need to do a
big-endian linux port. I already pointed out to several other Intel people
that I am not convinced that you need to go big-endian for networking
performance. If you can easily flood a fast-ethernet link with a low end
ix86 CPU, why shouldn't it work on something with an SA-1 core?

Erik

-- 
J.A.K. (Erik) Mouw, Information and Communication Theory Group, Department
of Electrical Engineering, Faculty of Information Technology and Systems,
Delft University of Technology, PO BOX 5031,  2600 GA Delft, The Netherlands
Phone: +31-15-2783635  Fax: +31-15-2781843  Email: [email-masked]
WWW: http://www-ict.its.tudelft.nl/~erik/